#ifndef OSCMESSAGE_H
#define OSCMESSAGE_H

#include <QObject>
#include <QVariant>

class OscMessage {
    QString mpath;
    QList<QVariant> margs;

  public:
    OscMessage() {}
    QString path() { return mpath; }
    void path(QString path) { mpath = path; }
    int args() { return margs.length(); }
    void add(QVariant var) { margs.append(var); }
    QVariant &arg(int i) { return margs[i]; }
};

Q_DECLARE_METATYPE(OscMessage)

#endif // OSCMESSAGE_H
