#ifndef RUNEDITDIALOG_H
#define RUNEDITDIALOG_H

#include "projectconfig.h"
#include <QDialog>

namespace Ui {
class RunEditDialog;
}

class RunEditDialog : public QDialog {
    Q_OBJECT

  public:
    explicit RunEditDialog(QWidget *parent, RunConfig &run);
    ~RunEditDialog();

  private slots:
    void on_nameEdit_textEdited(const QString &arg1);
    void on_argsTextEdit_textChanged();

  private:
    RunConfig &mrun;
    Ui::RunEditDialog *ui;
};

#endif // RUNEDITDIALOG_H
