#ifndef OSCSERVER_H
#define OSCSERVER_H

#include "oscmessage.h"

#include <QObject>
#include <lo/lo.h>

class OscServer : public QObject {
    Q_OBJECT

  public:
    explicit OscServer();
    ~OscServer();
    void handle();
    int port() { return lo_server_thread_get_port(st); }
  signals:
    void message(OscMessage);

  private:
    lo_server_thread st;
};

#endif // OSCSERVER_H
